package cn.ibizlab.humanresource.core.base.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.humanresource.core.base.domain.HROrgAddress;
import cn.ibizlab.humanresource.core.base.filter.HROrgAddressSearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[HROrgAddress] 服务对象接口
 */
public interface IHROrgAddressService extends IService<HROrgAddress>{

    boolean create(HROrgAddress et) ;
    void createBatch(List<HROrgAddress> list) ;
    boolean update(HROrgAddress et) ;
    void updateBatch(List<HROrgAddress> list) ;
    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    HROrgAddress get(String key) ;
    HROrgAddress getDraft(HROrgAddress et) ;
    boolean checkKey(HROrgAddress et) ;
    boolean save(HROrgAddress et) ;
    void saveBatch(List<HROrgAddress> list) ;
    Page<HROrgAddress> searchDefault(HROrgAddressSearchContext context) ;
    List<HROrgAddress> selectByHrorganizationid(String organizationid) ;
    void removeByHrorganizationid(String organizationid) ;
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);

    List<HROrgAddress> getHrorgaddressByIds(List<String> ids) ;
    List<HROrgAddress> getHrorgaddressByEntities(List<HROrgAddress> entities) ;
}


